### Enumeration

# Clutter InputMode

#### Declaration

    enum Clutter.InputMode

#### Description [src]

The mode for input devices available.

#### Members

`CLUTTER_INPUT_MODE_LOGICAL`

  A logical, virtual device.

  - Value: `0`
  - Available since: 14
`CLUTTER_INPUT_MODE_PHYSICAL`

  A physical device, attached to a logical device.

  - Value: `1`
  - Available since: 14
`CLUTTER_INPUT_MODE_FLOATING`

  A physical device, not attached to a logical device.

  - Value: `2`
  - Available since: 14